Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## scone.netobjects
Class TableRecord

    java.lang.Object
      scone.netobjects.TableRecord

All Implemented Interfaces:
  Cacheable

Direct Known Subclasses:
  Access, HtmlNode, Inclusion, Keyword, Link, NetNode, Node2Key, Person, Server, User

    public abstract class TableRecord

extends java.lang.Object
implements Cacheable

Defines which methods an object must implement to be handled by a cache

Author:
  Harald Weinreich, Volkert Buchmann

Field Summary
`static java.lang.String` | `COPYRIGHT`
`protected CacheTableEntryInterface` | `ctei` The set is stored in the cacheTable in this object
`protected static java.util.Date` | `date`
`protected FieldValueHashTable` | `fieldValues` The values of the set
`protected boolean` | `hasChanged` Indicates whether the set has changed compared to the database
`boolean` | `hasRecordInDB` True, if this object corresponds to a db-set
`protected boolean` | `persistent` Indicates whether the set shall be store in the database

Constructor Summary
`TableRecord()`

Method Summary
`abstract java.lang.Object` | `getKey(int noOfKey)` returns the hashkey for this object (to be deprecated!)
`protected boolean` | `isPersistent()` Ask object if it will be made persistent.
`java.lang.String` | `now()` Returns the current time as a string
`void` | `setCacheTableEntryInterface(CacheTableEntryInterface ctei)` sets the CacheTableEntryInterface
`protected void` | `setChanged(boolean changed)` Tell an object, that is has changed...
`protected void` | `setPersistent(boolean p)` Tell an object, that is shall not be made persistent.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface scone.netobjects.Cacheable
`store`

Field Detail

### COPYRIGHT

    public static final java.lang.String COPYRIGHT

See Also:
  Constant Field Values

### ctei

    protected CacheTableEntryInterface ctei

  The set is stored in the cacheTable in this object

### fieldValues

    protected FieldValueHashTable fieldValues

  The values of the set

### hasChanged

    protected boolean hasChanged

  Indicates whether the set has changed compared to the database

### hasRecordInDB

    public boolean hasRecordInDB

  True, if this object corresponds to a db-set

### persistent

    protected boolean persistent

  Indicates whether the set shall be store in the database

### date

    protected static java.util.Date date

Constructor Detail

### TableRecord

    public TableRecord()

Method Detail

### setCacheTableEntryInterface

    public void setCacheTableEntryInterface(CacheTableEntryInterface ctei)

  Description copied from interface: `Cacheable`
  sets the CacheTableEntryInterface

  Specified by:
    `setCacheTableEntryInterface` in interface `Cacheable`
  Parameters:
    `ctei` - the CacheTableEntryInterface

### setChanged

    protected void setChanged(boolean changed)

  Tell an object, that is has changed...

### setPersistent

    protected void setPersistent(boolean p)

  Tell an object, that is shall not be made persistent.

  Parameters:
    `p` - shall object be made persistent in DB?

### isPersistent

    protected boolean isPersistent()

  Ask object if it will be made persistent.

### getKey

    public abstract java.lang.Object getKey(int noOfKey)

  Description copied from interface: `Cacheable`
  returns the hashkey for this object (to be deprecated!)

  Specified by:
    `getKey` in interface `Cacheable`
  Parameters:
    `the` - key number
  Returns:
    the Key(s) corresponding to the object.

### now

    public java.lang.String now()

  Returns the current time as a string

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD